Source: openimageio
Severity: normal

Dear Maintainer,

openimageio contains an embedded copy of libsquish:
in tools/depends/native/libsquish-native

I have recently packaged libsquish, and it is now avilable in the archive:
https://tracker.debian.org/pkg/libsquish

In doing this I examined all the embedded copies, checking them for
changes, and have merged all the extra features into the Debian
package. Thus it should be straighforward to start using the system
library instead of the embedded copy, without any API changes.

The changes have also been sent upstream and will hopefully appear
in libsquish 1.14 at some point.

The openimageio version was forked around v1.10 and has a couple of
1.13 features backported (extra perceptual metric). moving on to this
1.13 version of course includes this.

Debian policy 
https://www.debian.org/doc/debian-policy/ch-source.html#s-embeddedfiles 
say that embedded copies should not be used if the library is available in 
Debian, and
https://wiki.debian.org/EmbeddedCodeCopies gives a bit more background.

I am not familiar with the openimageio build system, so have not attempted to
provide a patch as that should be much easier for you, but of course
I'll help if you need some.

The full set of packages affected is:
   - nvidia-texture-tools 1.7 (src/nvtt/squish)
   - 0ad         1.7 (libraries/source/nvtt/src/src/nvtt/squish/)
   - spring      1.10  (rts/lib/squish)
   - openimageio 1.10+ (1.10+metric) (src/dds.imageio/squish)
   - xbmc        1.10+ (1.10+metric/BC45) (lib/libsquish)
   - kodi        1.10+ (1.10+metric/BC45) 
(tools/depends/native/libsquish-native)
   - mame        1.13+ (BC45) (3rdparty/bgfx/3rdparty/libsquish)

Hope this is useful.

Wookey

_______________________________________________
Pkg-phototools-devel mailing list
Pkg-phototools-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-phototools-devel

Reply via email to